29 ноября понедельник
ДОЛЛАР 75.59 0.99
ЕВРО 84.95 1.27
ЮАНЬ 11.83 0.15
ФУНТ 100.56 1.02
SBER
0 ₽ 0.00
Yandex
0 ₽ 0.00
Mail.Ru Group
0 ₽ 0.00
Ростелеком
0 ₽ 0.00
QIWI
0 ₽ 0.00
Ozon
0 ₽ 0.00

Чем грозит ошибка в OpenSSL

Специалисты в области интернет-безопасности рассказали о найденной уязвимости и о том, как пользователям защитить свои данные.

Чем грозит ошибка в OpenSSL
Статьи 9 апреля 2014 •  runet

Чем грозит ошибка в OpenSSL

Специалисты в области интернет-безопасности рассказали о найденной уязвимости и о том, как пользователям защитить свои данные.

9 апреля 2014 👁 1756
Найденная в OpenSSL уязвимость получила название Heartbleed. Изображение с сайта Heartbleed.com
Найденная в OpenSSL уязвимость получила название Heartbleed. Изображение с сайта Heartbleed.com

В ночь на 8 апреля было объявлено об ошибке в программном пакете OpenSSL. Как выяснилось, баг, существовавший как минимум с 2012 года, позволяет третьим лицам получить доступ к оперативной памяти компьютера и данным пользователей, включая пароли, переписку и ключи шифрования. При этом следов проникновения в систему не остается — использовать уязвимость можно совершенно незаметно для жертвы.

Уязвимость была обнаружена некоторое время назад двумя независимыми группами исследователей: сотрудники Google и специалисты из компании Codenomicon. Последние создали сайт Heartbleed.com, на котором подробно описаны детали ошибки. Как утверждается на сайте, с помощью уязвимости им удалось получить доступ к критическим пользовательским данным. Теоретически, уязвимость поставила под угрозу две трети веб-серверов — все они используют для безопасной передачи информации OpenSSL.

В числе сайтов, использующих уязвимую библиотеку OpenSSL — yahoo.com, торрент-трекер kickass.to, фотосервис flickr.com, онлайн-аукцион avito.ru, игровой форум steamcommunity.com. Список некоторых крупнейших сайтов, проверенных в связи с обнаруженной уязвимостью, можно найти здесь.

TheRunet попросил отечественных экспертов в области интернет-безопасности рассказать о природе обнаруженной уязвимости, масштабе угроз и о том, как пользователям защитить свои данные.

«При использовании уязвимости не остается следов»

Main_deeonis
Вячеслав
Закоржевский
руководитель группы исследования уязвимостей
«Лаборатории Касперского»

В настоящее время подавляющее большинство сайтов, работающих с персональной информацией – социальные сети, банки, интернет-магазины и т.д. – шифруют персональную информацию с помощью SSL/TLS. Это позволяет защитить передаваемые данные – номера карт, логины и пароли – от перехвата и кражи.

Обнаруженная уязвимость располагается в расширении под названием Heartbeat библиотеки OpenSSL. Ошибка позволяет злоумышленнику считывать фрагменты памяти системы, в которой используется уязвимая библиотека. В памяти же может располагаться конфиденциальная информация – сертификаты, приватные ключи, логины/пароли и прочее.

«Дефекты в TLS/SSL будут находить все чаще»

Main_picture
Александр
Венедюхин
руководитель аналитической группы
Ru-Center

Как и в практически всяком распространенном программном обеспечении, в
OpenSSL периодически находят дефекты. Сейчас интерес специалистов к
реализациям TLS/SSL очень высок, поэтому и дефекты будут находить все чаще.

Эта конкретная ошибка касается управления распределением памяти, что,
конечно, не радует само по себе: такой дефект находится в ряду типичных
ошибок программистов, а в случае с OpenSSL хотелось бы все же видеть
что-то чуть более уникальное, в том числе, среди «необходимых ошибок».

Обнаруженная ошибка не является дефектом протокола, а относится только к
реализации, то есть, TLS/SSL — не сломаны, тут угрозы нет. Как пишут
исследователи, обнаружившие ошибку, связанная с ней серверная уязвимость
могла приводить к утечке секретных ключей. Это достаточно неприятно, так
как означает, что во многих случаях может быть расшифрован ранее
записанный трафик. Кроме того, требуется замена ключей.

«Ущерб и риски могут быть колоссальны»

Main_picture
Максим
Борзов
технический директор
Internet Media Holding

Это не первая уязвимость в OpenSSL. Ранее, весной 2012 года, тоже сотрудниками Google была выявлена критическая уязвимость в OpenSSL 1.0 для 64-х разрядных версий операционной системы, позволявшей злоумышленнику выполнить в системе произвольный код. Однако ошибка была оперативно исправлена.

В случае с уязвимостью CVE-2014-0160 ситуация обстоит несколько иначе. Обнаружена она была на днях, но существует с версии OpenSSL 1.0.1, которая была выпущена как раз весной 2012 года. Это означает, что злоумышленники, знавшие об уязвимости, могли практически год использовать эту брешь для получения доступа к секретным ключам, именам и паролям пользователей, контенту и другим данным, которые должны передаваться в зашифрованном виде.

Ущерб и риски могут быть колоссальны. OpenSSL 1.0.1, содержащий данную уязвимость, используется не только во множестве приложений, но и более глобально: в почтовых серверах, веб-серверах Apache и nginx, VPN, серверах обмена сообщениями и т.д. Есть дистрибутивы операционных систем с уязвимой версией OpenSSL, это стабильная версия Debian Wheezy, OpenBSD 5.3-5.4, некоторые версии FreeBSD, Ubuntu и CentOS.

«До последнего времени ошибка не эксплуатировалась»

Main_picture
Глеб
Шуклин
директор по исследовательским проектам
Института исследований интернета

Несмотря на серьезность обнаруженной уязвимости и широкую распространенность программного обеспечения, подверженного угрозе, открытый формат ПО гарантирует высокую степень вероятности того, что обнаруженная специалистами Codenomicon ошибка не эксплуатировалась злоумышленниками до последнего времени. Ситуация, когда над анализом исходного кода работают множество людей по всему миру, значительно сокращает потенциальный ущерб от наличия и использования уязвимостей, в том числе потому, что время цикла обработки багов гораздо короче, чем в случае с проприетарным ПО.

Для устранения уязвимости разработчики OpenSSL уже выпустили патч — Fixed OpenSSL. Специалисты Codenomicon рекомендуют установить обновление производителям операционных систем, разработчикам приложений, провайдерам доступа в интернет и пользователям.

Вскоре после того, как была обнаружена ошибка OpenSSL, некоторые СМИ со ссылкой на различных исследователей, работающих в крупнейших IT-компаниях, сообщали, что даже после установки обновления система будет по-прежнему уязвима. Если допустить, что за время существования бага злоумышленникам удалось получить доступ к секретным ключам шифрования, любой патч окажется неэффективным.

Однако большинство опрошенных theRunet специалистов этих опасений не разделяют. Пользователям рекомендуют дождаться, когда владельцы веб-сайтов обновят уязвимую библиотеку, а потом поменять собственные логины и пароли.

Как правило, уязвимости столь высокого уровня критичности появляются не чаще нескольких раз в год. Однако методы атак и анализа программного кода постоянно улучшаются, можно ожидать, что в ближайшем будущем в популярных криптобиблиотеках найдут еще немало серьезных ошибок. 

Теги: ,
Новости smi2.ru
Комментарии 0
Зарегистрируйтесь или , чтобы оставлять комментарии.